from matplotlib import pyplot
from scipy import fftpack
import numpy
import soundfile

# FFTの計算
data, rate = soundfile.read('la.wav')
n = len(data)
a = fftpack.fftfreq(n, 1/rate)
b = numpy.abs(fftpack.fft(data))

# グラフの作成と表示
pyplot.figure('FFT')
pyplot.xlabel('frequency(Hz)')
pyplot.ylabel('intensity')
pyplot.plot(a[:n//2], b[:n//2])
pyplot.show()
