from matplotlib import pyplot
from sklearn.cluster import KMeans
import pandas

# CSVファイルの読み込み
data = pandas.read_csv('smalldata.csv', encoding='utf_8')

# クラスタリングの実行
N = 4
model = KMeans(n_clusters=N).fit(data[['price', 'calorie']])

# 散布図の描画
pyplot.figure('menu')
pyplot.xlabel('price')
pyplot.ylabel('calorie')
c = ['rgbymck'[x] for x in model.labels_]
pyplot.scatter(data['price'], data['calorie'], color=c)
pyplot.show()
